GPT-6.1 Sol
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
GPT-6.1 Sol is OpenAI's model for complex coding and professional tasks. It accepts text, image, and PDF input and produces text output. The model supports reasoning.effort settings of low, medium, high, xhigh, and max, with a 1,050,000-token context window and up to 128,000 output tokens.
Capabilities
| Model | Knowledge Cutoff | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gpt-6.1-sol | Apr 30 2026 | Text, Image, Pdf | Text | 1,050,000 | Up to 272,000 input tokens Input: $2.20 · Output: $11.00 Cached input: $0.11 · Cache writes: $2.75 More than 272,000 input tokens Input: $4.40 · Output: $16.50 Cached input: $0.22 · Cache writes: $5.50 |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
- For requests with more than 272,000 input tokens, the higher rates apply to the entire request
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gpt-6.1-sol",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gpt-6.1-sol", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gpt-6.1-sol",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
References
- GPT-6.1 Sol Model
https://developers.openai.com/api/docs/models/gpt-6.1-sol- Azure OpenAI Models
https://learn.microsoft.com/en-us/azure/ai-foundry/openai/concepts/models